<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
        <Content Include="..\.dockerignore">
            <Link>.dockerignore</Link>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <UpToDateCheckBuilt Include="wwwroot/css/site.css"
                            Set="Css" />
        <UpToDateCheckBuilt Include="tailwind.config.js"
                            Set="Css" />
    </ItemGroup>

    <!-- <Target Name="Tailwind" BeforeTargets="Build">
      <Exec Command="npm run css:build"/>
    </Target> -->

    <ItemGroup>
        <PackageReference Include="BlazorJSComponents" Version="1.0.0" />
        <PackageReference Include="BlazorPageScript"
                          Version="1.0.0" />
        <PackageReference Include="DocumentFormat.OpenXml" Version="3.3.0" />
        <PackageReference Include="Gotenberg.Sharp.API.Client" Version="2.5.0" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.2">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.2" />
        <PackageReference Include="Microsoft.Identity.Web" Version="3.8.0" />
        <PackageReference Include="Microsoft.Identity.Web.UI" Version="3.8.0" />
        <PackageReference Include="NPetrovich"
                          Version="2.0.1" />
    </ItemGroup>
    <ItemGroup>
        <_ContentIncludedByDefault Remove="wwwroot\bootstrap\bootstrap.min.css" />
        <_ContentIncludedByDefault Remove="wwwroot\bootstrap\bootstrap.min.css.map" />
    </ItemGroup>
    <ItemGroup>
        <Content Include="Templates\**">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
    </ItemGroup>
</Project>